// find(callbackFn)

const stus = [
    { name: '张三', score: 59 },
    { name: '老钟', score: 95 },
    { name: 'SB', score: 80 }
];

// 筛选第一个 score >= 60 的信息
const rst = stus.find(item => { return item.score >= 60 })
console.log(rst)

// 浅表拷贝，rst的修改，会导致stus中对应数据的修改
rst.score = 100
console.log(stus)

/*
# node find.js
{ name: '老钟', score: 95 }
[
  { name: '张三', score: 59 },
  { name: '老钟', score: 100 },
  { name: 'SB', score: 80 }
]
*/